Bug 12215 - не работает на ATI X1600 Mobility (hp nx9420)
: не работает на ATI X1600 Mobility (hp nx9420)
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xorg-x11-drv-vesa)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
: relnote
:
:
  Show dependency tree
 
Reported: 2007-07-05 02:25 by
Modified: 2007-10-09 11:51 (History)


Attachments
vesa-1.3.0-range-hack.patch (1.64 KB, patch)
2007-07-05 13:44, Valery Inozemtsev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-05 02:25:55
Наш драйвер страдает след. багом:
https://bugs.freedesktop.org/show_bug.cgi?id=10238

К сожалению, это блокирует выход Desktop-4.0 т.к. ноутбуки с ATI Mobility X1xxx
очень распостранены. Информация к размышлению и workaround'ы описаны в след.
источниках

1) см. ссылку выше
2) Ubuntu: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/89853
3) Fedora: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236416 (еще один
вариант баги).

Нужно как-то решить эту проблему:
1) либо сделать хак, описанный в
http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg294353.html
2) либо таки запинать апстрим, чтобы он запатчил драйвер/ddc.

Steps to Reproduce:
1. купить ноут с большой матрицей и ATI X1xxx чипсетом на борту
2. скачать бету D4.0
3. попробовать ее поставить.
Actual Results:  
X сервер сразу вываливается в консоль с сообщением "No Mode 800x600 found" при
запуске alterator.

Expected Results:  
Успешная попытка установки D4.0
------- Comment #1 From 2007-07-05 10:44:10 -------
Боюсь, это только NMU ввиду объявленного отпуска.
------- Comment #2 From 2007-07-05 13:31:33 -------
Костик, ты хочешь предложить мне денег на покупку ноута с большой матрицей и 
ATI X1xxx чипсетом на борту?
------- Comment #3 From 2007-07-05 13:44:41 -------
Created an attachment (id=2076) [details]
vesa-1.3.0-range-hack.patch

есть вот такой патчь, ты его имел ввиду?
------- Comment #4 From 2007-07-05 22:03:08 -------
т.к. реакции за целый день не последовало, боюсь что это только после 14 июля
------- Comment #5 From 2007-07-06 00:27:22 -------
(In reply to comment #3)
> Created an attachment (id=2076) [edit] [details]
> vesa-1.3.0-range-hack.patch
> 
> есть вот такой патчь, ты его имел ввиду?

Нет, данный патч не работает. Plz почитай хотя бы ссылки, что я привел:

Fedora has a new driver out in the last few days that attempts to address
(probably) the same problem. This is now at 1.3.0-5.fc7

As an experiment I extracted vesa_drv.so from the fedora package. Then I booted
into an alpha version of the Ubuntu Feisty livecd, and copied over the vesa
driver. Then i tried startx and the Xorg log had the same result.

(In reply to comment #4)
> т.к. реакции за целый день не последовало, боюсь что это только после 14 июля
Интересно, кому это больше надо, мне или выпускающему desktop? /me осилит
запихать fglrx в stage2 ;)

------- Comment #6 From 2007-07-06 13:57:13 -------
У меня от чтения комментариев не возникло понимания того как это можно
исправить
(не считая запихивания fglrx в stage2, что не очень желательно, ИМХО
------- Comment #7 From 2007-07-06 22:38:44 -------
(In reply to comment #6)
> У меня от чтения комментариев не возникло понимания того как это можно исправить
> (не считая запихивания fglrx в stage2, что не очень желательно, ИМХО

Запихивание помогло. На том и решим проблему? Я не верю, что shrek@ запинает
апстрим на исправление бага.
------- Comment #8 From 2007-07-09 11:44:44 -------
Пока да. К следующей версии -- посмотрим
------- Comment #9 From 2007-07-09 16:40:42 -------
Мож не стоило на vesa-то закрывать, если решение его не касается?
------- Comment #10 From 2007-07-15 20:15:35 -------
да уж, не стоило... а почему бы не запихать в stage2 проприетарные дрова для 
mga и via?
в общем fixed в 1.3.0-alt2, если разговор действительно об "As an experiment I 
extracted vesa_drv.so from the fedora package"
------- Comment #11 From 2007-07-15 20:39:16 -------
xorg-x11-drv-vesa is NOT fixed yet.
------- Comment #12 From 2007-07-15 21:09:47 -------
(In reply to comment #11)
> xorg-x11-drv-vesa is NOT fixed yet.

alt2?
------- Comment #13 From 2007-09-19 14:08:56 -------
используйте драйвер avivo